using System;
using System.Windows.Forms;

namespace Sledování_souborového_systému
{
   public partial class StartForm : Form
   {
      public StartForm()
      {
         InitializeComponent();
      }

      private void watchButton_Click(object sender, EventArgs e)
      {
         this.watchListBox.Items.Clear();

         // Inicializace sledovače souborového systému
         this.fileSystemWatcher.Path = this.pathTextBox.Text;
         this.fileSystemWatcher.Filter = this.filterTextBox.Text;
         this.fileSystemWatcher.IncludeSubdirectories = this.includeSubdirectoriesCheckBox.Checked;
      }

      private void fileSystemWatcher_Changed(object sender, System.IO.FileSystemEventArgs e)
      {
         // Nějaký soubor nebo adresář byl změněn
         this.watchListBox.Items.Add("'" + e.FullPath + "' byl změněn");
      }

      private void fileSystemWatcher_Created(object sender, System.IO.FileSystemEventArgs e)
      {
          // Nějaký soubor nebo adresář byl vytvořen
         this.watchListBox.Items.Add("'" + e.FullPath + "' byl vytvořen");
      }

      private void fileSystemWatcher_Deleted(object sender, System.IO.FileSystemEventArgs e)
      {
          // Nějaký soubor nebo adresář byl smazán
         this.watchListBox.Items.Add("'" + e.FullPath + "' byl smazán");
      }

      private void fileSystemWatcher_Renamed(object sender, System.IO.RenamedEventArgs e)
      {
          // Nějaký soubor nebo adresář byl přejmenován
         this.watchListBox.Items.Add("'" + e.OldFullPath + "' byl přejmenován na '" + e.FullPath + "'");
      }
   }
}